﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ExternalSummariesSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetTable();
            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];
            // Add a summary of type External.
            SummarySettings summary = band.Summaries.Add(SummaryType.External, band.Columns["Players"]);
        }
        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Players", typeof(int));
            table.Columns.Add("Games", typeof(string));
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Here we add five DataRows.
            table.Rows.Add(25, 6, "David", DateTime.Now);
            table.Rows.Add(50, 5, "Sam", DateTime.Now);
            table.Rows.Add(10, 3, "Christoff", DateTime.Now);
            table.Rows.Add(21, 5, "Janet", DateTime.Now);
            table.Rows.Add(100, 3, "Melanie", DateTime.Now);
            return table;
        }

        private void ultraGrid1_ExternalSummaryValueRequested(object sender, ExternalSummaryValueEventArgs e)
        {
            e.SummaryValue.SetExternalSummaryValue("90");
        }

        private void btnExport_Click(object sender, EventArgs e)
        {
            this.ultraGridExcelExporter1.ExportAsync(this.ultraGrid1, "C:\\GridData.xls");
        }
    }
}
